Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMesaRenderWindow Class Reference

`#include <vtkXMesaRenderWindow.h>`

Inheritance diagram for vtkXMesaRenderWindow:

[legend]
Collaboration diagram for vtkXMesaRenderWindow:

[legend]
List of all members.

## Detailed Description

Mesa rendering window.

Date:
  2003/01/24 16:24:02

Revision:
  1.16

vtkXMesaRenderWindow is a concrete implementation of the abstract class vtkRenderWindow. vtkOpenGLRenderer interfaces to the OpenGL graphics library. Application programmers should normally use vtkRenderWindow instead of the OpenGL specific version.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (67%)
  - Hoffman, Bill (28%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkXMesaRenderWindow.h)`
  - .`cxx` (`/Rendering/vtkXMesaRenderWindow.cxx)`

Tests:
  vtkXMesaRenderWindow (Tests)

Definition at line 52 of file vtkXMesaRenderWindow.h.

## Public Types
typedef vtkMesaRenderWindow | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Start (void)
virtual void | Frame (void)
virtual void | WindowInitialize (void)
virtual void | Initialize (void)
virtual void | SetFullScreen (int)
virtual void | WindowRemap (void)
virtual void | PrefFullScreen (void)
virtual void | SetStereoCapableWindow (int capable)
void | MakeCurrent ()
void | SetForceMakeCurrent ()
const char * | ReportCapabilities ()
int | SupportsOpenGL ()
int | IsDirect ()
virtual int * | GetScreenSize ()
virtual int * | GetPosition ()
Display * | GetDisplayId ()
Window | GetParentId ()
Window | GetWindowId ()
virtual void | SetCurrentCursor (int)
virtual int | GetEventPending ()
void | SetWindowInfo (char *info)
void | SetParentInfo (char *info)
void | Render ()
void | SetOffScreenRendering (int i)
virtual void | SetSize (int, int)
virtual void | SetSize (int a[2])
virtual Colormap | GetDesiredColormap ()
virtual Visual * | GetDesiredVisual ()
virtual XVisualInfo * | GetDesiredVisualInfo ()
virtual int | GetDesiredDepth ()
virtual void * | GetGenericDisplayId ()
virtual void * | GetGenericWindowId ()
virtual void * | GetGenericParentId ()
virtual void * | GetGenericContext ()
virtual void * | GetGenericDrawable ()
void | SetDisplayId (Display *)
void | SetDisplayId (void *)
void | SetParentId (Window)
void | SetParentId (void *)
void | SetWindowId (Window)
void | SetWindowId (void *)
void | SetNextWindowId (Window)
void | SetWindowName (const char *)
void | SetPosition (int, int)
void | SetPosition (int a[2])
void | HideCursor ()
void | ShowCursor ()
## Static Public Methods
vtkXMesaRenderWindow * | New ()
int | IsTypeOf (const char *type)
vtkXMesaRenderWindow * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkXMesaRenderWindow ()
| ~vtkXMesaRenderWindow ()
## Protected Attributes
vtkXMesaRenderWindowInternal * | Internal
Window | ParentId
Window | WindowId
Window | NextWindowId
Display * | DisplayId
Colormap | ColorMap
int | OwnWindow
int | OwnDisplay
int | ScreenSize [2]
int | CursorHidden
int | ForceMakeCurrent
int | UsingHardware
char * | Capabilities
Cursor | XCArrow
Cursor | XCSizeAll
Cursor | XCSizeNS
Cursor | XCSizeWE
Cursor | XCSizeNE
Cursor | XCSizeNW
Cursor | XCSizeSE
Cursor | XCSizeSW

## Member Typedef Documentation

typedef vtkMesaRenderWindow vtkXMesaRenderWindow::Superclass

| Reimplemented from vtkMesaRenderWindow. Definition at line 56 of file vtkXMesaRenderWindow.h.

## Constructor & Destructor Documentation

vtkXMesaRenderWindow::vtkXMesaRenderWindow | ( |  | ) | `[protected]`

vtkXMesaRenderWindow::~vtkXMesaRenderWindow | ( |  | ) | `[protected]`

## Member Function Documentation

vtkXMesaRenderWindow* vtkXMesaRenderWindow::New | ( |  | ) | `[static]`

| Construct an instance of vtkRenderWindow with its screen size set to 300x300, borders turned on, positioned at (0,0), double buffering turned on. Reimplemented from vtkRenderWindow.

virtual const char* vtkXMesaRenderWindow::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkMesaRenderWindow.

int vtkXMesaRenderWindow::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkMesaRenderWindow.

virtual int vtkXMesaRenderWindow::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkMesaRenderWindow.

vtkXMesaRenderWindow* vtkXMesaRenderWindow::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkMesaRenderWindow.

void vtkXMesaRenderWindow::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkMesaRenderWindow.

virtual void vtkXMesaRenderWindow::Start | ( | void |  | ) | `[virtual]`

| Begin the rendering process. Implements vtkRenderWindow.

virtual void vtkXMesaRenderWindow::Frame | ( | void |  | ) | `[virtual]`

| End the rendering process and display the image. Implements vtkRenderWindow.

virtual void vtkXMesaRenderWindow::WindowInitialize | ( | void |  | ) | `[virtual]`

| Initialize the window for rendering.

virtual void vtkXMesaRenderWindow::Initialize | ( | void |  | ) | `[virtual]`

| Initialize the rendering window.

virtual void vtkXMesaRenderWindow::SetFullScreen | ( | int |  | ) | `[virtual]`

| Change the window to fill the entire screen. Implements vtkRenderWindow.

virtual void vtkXMesaRenderWindow::WindowRemap | ( | void |  | ) | `[virtual]`

| Resize the window. Implements vtkRenderWindow.

virtual void vtkXMesaRenderWindow::PrefFullScreen | ( | void |  | ) | `[virtual]`

| Set the preferred window size to full screen.

virtual void vtkXMesaRenderWindow::SetSize | ( | int | ,
|  | int |
| ) | `[virtual]`

| Specify the size of the rendering window. Reimplemented from vtkWindow.

virtual void vtkXMesaRenderWindow::SetSize | ( | int | a[2] | ) | `[inline, virtual]`

| Specify the size of the rendering window. Reimplemented from vtkWindow. Definition at line 83 of file vtkXMesaRenderWindow.h. References vtkWindow::SetSize().

virtual Colormap vtkXMesaRenderWindow::GetDesiredColormap | ( |  | ) | `[virtual]`

| Get the X properties of an ideal rendering window.

virtual Visual* vtkXMesaRenderWindow::GetDesiredVisual | ( |  | ) | `[virtual]`

| Get the X properties of an ideal rendering window.

virtual XVisualInfo* vtkXMesaRenderWindow::GetDesiredVisualInfo | ( |  | ) | `[virtual]`

| Get the X properties of an ideal rendering window.

virtual int vtkXMesaRenderWindow::GetDesiredDepth | ( |  | ) | `[virtual]`

| Get the X properties of an ideal rendering window.

virtual void vtkXMesaRenderWindow::SetStereoCapableWindow | ( | int | capable | ) | `[virtual]`

| Prescribe that the window be created in a stereo-capable mode. This method must be called before the window is realized. This method overrides the superclass method since this class can actually check whether the window has been realized yet. Reimplemented from vtkRenderWindow.

void vtkXMesaRenderWindow::MakeCurrent | ( |  | ) | `[virtual]`

| Make this window the current OpenGL context. Implements vtkMesaRenderWindow.

void vtkXMesaRenderWindow::SetForceMakeCurrent | ( |  | ) | `[virtual]`

| If called, allow MakeCurrent() to skip cache-check when called. MakeCurrent() reverts to original behavior of cache-checking on the next render. Reimplemented from vtkRenderWindow.

const char* vtkXMesaRenderWindow::ReportCapabilities | ( |  | ) | `[virtual]`

| Get report of capabilities for the render window Reimplemented from vtkRenderWindow.

int vtkXMesaRenderWindow::SupportsOpenGL | ( |  | ) | `[virtual]`

| Does this render window support OpenGL? 0-false, 1-true Reimplemented from vtkRenderWindow.

int vtkXMesaRenderWindow::IsDirect | ( |  | ) | `[virtual]`

| Is this render window using hardware acceleration? 0-false, 1-true Reimplemented from vtkRenderWindow.

virtual void* vtkXMesaRenderWindow::GetGenericDisplayId | ( |  | ) | `[inline, virtual]`

| Xwindow get set functions Implements vtkRenderWindow. Definition at line 119 of file vtkXMesaRenderWindow.h.

virtual void* vtkXMesaRenderWindow::GetGenericWindowId | ( |  | ) | `[virtual]`

| Xwindow get set functions Implements vtkRenderWindow.

virtual void* vtkXMesaRenderWindow::GetGenericParentId | ( |  | ) | `[inline, virtual]`

| Xwindow get set functions Implements vtkRenderWindow. Definition at line 121 of file vtkXMesaRenderWindow.h.

virtual void* vtkXMesaRenderWindow::GetGenericContext | ( |  | ) | `[virtual]`

| Xwindow get set functions Implements vtkRenderWindow.

virtual void* vtkXMesaRenderWindow::GetGenericDrawable | ( |  | ) | `[inline, virtual]`

| Xwindow get set functions Implements vtkRenderWindow. Definition at line 123 of file vtkXMesaRenderWindow.h.

virtual int* vtkXMesaRenderWindow::GetScreenSize | ( |  | ) | `[virtual]`

| Get the size of the screen in pixels

virtual int* vtkXMesaRenderWindow::GetPosition | ( |  | ) | `[virtual]`

| Get the position in screen coordinates (pixels) of the window. Reimplemented from vtkWindow.

Display* vtkXMesaRenderWindow::GetDisplayId | ( |  | ) |

| Get this RenderWindow's X display id.

void vtkXMesaRenderWindow::SetDisplayId | ( | Display * |  | ) |

| Set the X display id for this RenderWindow to use to a pre-existing X display id.

void vtkXMesaRenderWindow::SetDisplayId | ( | void * |  | ) | `[virtual]`

| Set the X display id for this RenderWindow to use to a pre-existing X display id. Implements vtkRenderWindow.

Window vtkXMesaRenderWindow::GetParentId | ( |  | ) |

| Get this RenderWindow's parent X window id.

void vtkXMesaRenderWindow::SetParentId | ( | Window |  | ) |

| Sets the parent of the window that WILL BE created.

void vtkXMesaRenderWindow::SetParentId | ( | void * |  | ) | `[virtual]`

| Sets the parent of the window that WILL BE created. Implements vtkRenderWindow.

Window vtkXMesaRenderWindow::GetWindowId | ( |  | ) |

| Get this RenderWindow's X window id.

void vtkXMesaRenderWindow::SetWindowId | ( | Window |  | ) |

| Set this RenderWindow's X window id to a pre-existing window.

void vtkXMesaRenderWindow::SetWindowId | ( | void * |  | ) | `[virtual]`

| Set this RenderWindow's X window id to a pre-existing window. Implements vtkRenderWindow.

void vtkXMesaRenderWindow::SetNextWindowId | ( | Window |  | ) |

| Specify the X window id to use if a WindowRemap is done.

void vtkXMesaRenderWindow::SetWindowName | ( | const char * |  | ) | `[virtual]`

| Specify the X window id to use if a WindowRemap is done. Reimplemented from vtkWindow.

void vtkXMesaRenderWindow::SetPosition | ( | int | ,
|  | int |
| ) | `[virtual]`

| Move the window to a new position on the display. Reimplemented from vtkWindow.

void vtkXMesaRenderWindow::SetPosition | ( | int | a[2] | ) | `[inline, virtual]`

| Move the window to a new position on the display. Reimplemented from vtkWindow. Definition at line 169 of file vtkXMesaRenderWindow.h. References vtkWindow::SetPosition().

void vtkXMesaRenderWindow::HideCursor | ( |  | ) | `[virtual]`

| Hide or Show the mouse cursor, it is nice to be able to hide the default cursor if you want VTK to display a 3D cursor instead. Implements vtkRenderWindow.

void vtkXMesaRenderWindow::ShowCursor | ( |  | ) | `[virtual]`

| Hide or Show the mouse cursor, it is nice to be able to hide the default cursor if you want VTK to display a 3D cursor instead. Implements vtkRenderWindow.

virtual void vtkXMesaRenderWindow::SetCurrentCursor | ( | int |  | ) | `[virtual]`

| Change the shape of the cursor Reimplemented from vtkRenderWindow.

virtual int vtkXMesaRenderWindow::GetEventPending | ( |  | ) | `[virtual]`

| Get the properties available at runtime that would result in the best Xwindow for 3D rendering. Implements vtkRenderWindow.

void vtkXMesaRenderWindow::SetWindowInfo | ( | char * | info | ) | `[virtual]`

| Set this RenderWindow's X window id to a pre-existing window. Implements vtkRenderWindow.

void vtkXMesaRenderWindow::SetParentInfo | ( | char * | info | ) | `[virtual]`

| Sets the X window id of the window that WILL BE created. Implements vtkRenderWindow.

void vtkXMesaRenderWindow::Render | ( |  | ) | `[virtual]`

| This computes the size of the render window before calling the supper classes render Reimplemented from vtkRenderWindow.

void vtkXMesaRenderWindow::SetOffScreenRendering | ( | int | i | ) | `[virtual]`

| Render without displaying the window. Reimplemented from vtkWindow.

## Member Data Documentation

vtkXMesaRenderWindowInternal* vtkXMesaRenderWindow::Internal`[protected]`

| Definition at line 203 of file vtkXMesaRenderWindow.h.

Window vtkXMesaRenderWindow::ParentId`[protected]`

| Definition at line 205 of file vtkXMesaRenderWindow.h.

Window vtkXMesaRenderWindow::WindowId`[protected]`

| Definition at line 206 of file vtkXMesaRenderWindow.h.

Window vtkXMesaRenderWindow::NextWindowId`[protected]`

| Definition at line 207 of file vtkXMesaRenderWindow.h.

Display* vtkXMesaRenderWindow::DisplayId`[protected]`

| Definition at line 208 of file vtkXMesaRenderWindow.h.

Colormap vtkXMesaRenderWindow::ColorMap`[protected]`

| Definition at line 209 of file vtkXMesaRenderWindow.h.

int vtkXMesaRenderWindow::OwnWindow`[protected]`

| Definition at line 210 of file vtkXMesaRenderWindow.h.

int vtkXMesaRenderWindow::OwnDisplay`[protected]`

| Definition at line 211 of file vtkXMesaRenderWindow.h.

int vtkXMesaRenderWindow::ScreenSize[2]`[protected]`

| Definition at line 212 of file vtkXMesaRenderWindow.h.

int vtkXMesaRenderWindow::CursorHidden`[protected]`

| Definition at line 213 of file vtkXMesaRenderWindow.h.

int vtkXMesaRenderWindow::ForceMakeCurrent`[protected]`

| Definition at line 214 of file vtkXMesaRenderWindow.h.

int vtkXMesaRenderWindow::UsingHardware`[protected]`

| Definition at line 215 of file vtkXMesaRenderWindow.h.

char* vtkXMesaRenderWindow::Capabilities`[protected]`

| Definition at line 216 of file vtkXMesaRenderWindow.h.

Cursor vtkXMesaRenderWindow::XCArrow`[protected]`

| Definition at line 219 of file vtkXMesaRenderWindow.h.

Cursor vtkXMesaRenderWindow::XCSizeAll`[protected]`

| Definition at line 220 of file vtkXMesaRenderWindow.h.

Cursor vtkXMesaRenderWindow::XCSizeNS`[protected]`

| Definition at line 221 of file vtkXMesaRenderWindow.h.

Cursor vtkXMesaRenderWindow::XCSizeWE`[protected]`

| Definition at line 222 of file vtkXMesaRenderWindow.h.

Cursor vtkXMesaRenderWindow::XCSizeNE`[protected]`

| Definition at line 223 of file vtkXMesaRenderWindow.h.

Cursor vtkXMesaRenderWindow::XCSizeNW`[protected]`

| Definition at line 224 of file vtkXMesaRenderWindow.h.

Cursor vtkXMesaRenderWindow::XCSizeSE`[protected]`

| Definition at line 225 of file vtkXMesaRenderWindow.h.

Cursor vtkXMesaRenderWindow::XCSizeSW`[protected]`

| Definition at line 226 of file vtkXMesaRenderWindow.h.

The documentation for this class was generated from the following file:

- Rendering/vtkXMesaRenderWindow.h